The host registration form uses host group names which don't contain parent names
Status: Closed   

Priority: Normal   

Assignee:    

Category: Host registration   

Target version:    

Difficulty:  Fixed in Releases: 2.5.0, 3.0.0

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/8519,

https://github.com/theforeman/foreman/p

ull/8546

  

Description

Host groups can be nested. Showing only the hostgroup name e.g. "centos" may not be enough to identify the exact hostgroup. In

host group index we use the full name (including parents names), e.g. "base/centos" or "base/centos/puppet/openscap". We should

use these full names in the registration form too.

Associated revisions

Revision 96c60e9c - 05/20/2021 11:29 AM - Leos Stejskal

Fixes #32452 - Host Registration tweaks and improvements (#8519)

- Updated ApiPie documentation

- Fixed typo in `default_host_init_config_template` setting

- Snippet `host_init_config_post` moved at the end of the `host_init_config`

template, where it should be, not before `insights` snippet

- Use `title` instead of `name` for host groups and operating systems

- Updated list of variables in `global_registration` template

History

#1 - 04/29/2021 10:25 AM - Leos Stejskal

- Category set to Host registration

#2 - 05/11/2021 07:13 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/8519 added

#3 - 05/20/2021 11:29 AM - The Foreman Bot

- Fixed in Releases 3.0.0 added

#4 - 05/20/2021 12:01 PM - Leos Stejskal

- Status changed from Ready For Testing to Closed

Applied in changeset foreman|96c60e9ca61fabc156e394154292bfc9a3d809c4.

#5 - 05/24/2021 05:49 AM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/8546 added

#6 - 06/02/2021 07:05 AM - Amit Upadhye

- Fixed in Releases 2.5.0 added
